org.springframework.jms.annotation

## Class JmsBootstrapConfiguration

- java.lang.Object
- - org.springframework.jms.annotation.JmsBootstrapConfiguration

    @Configuration(proxyBeanMethods=false)
     @Role(value=2)
    public class JmsBootstrapConfiguration
    extends Object

`@Configuration` class that registers a `JmsListenerAnnotationBeanPostProcessor` bean capable of processing Spring's @`JmsListener` annotation. Also register a default `JmsListenerEndpointRegistry`.

This configuration class is automatically imported when using the @`EnableJms` annotation. See the `EnableJms` javadocs for complete usage details.

Since:
  4.1
Author:
  Stephane Nicoll
See Also:
  `JmsListenerAnnotationBeanPostProcessor`, `JmsListenerEndpointRegistry`, `EnableJms`

### Constructor Summary

Constructors
Constructor and Description
`JmsBootstrapConfiguration()`

### Method Summary

All Methods Instance Methods Concrete Methods
`JmsListenerEndpointRegistry` `defaultJmsListenerEndpointRegistry()`
`JmsListenerAnnotationBeanPostProcessor` `jmsListenerAnnotationProcessor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JmsBootstrapConfiguration

    public JmsBootstrapConfiguration()

### Method Detail

#### jmsListenerAnnotationProcessor

    @Bean(name="org.springframework.jms.config.internalJmsListenerAnnotationProcessor")
     @Role(value=2)
    public JmsListenerAnnotationBeanPostProcessor jmsListenerAnnotationProcessor()

#### defaultJmsListenerEndpointRegistry

    @Bean(name="org.springframework.jms.config.internalJmsListenerEndpointRegistry")
    public JmsListenerEndpointRegistry defaultJmsListenerEndpointRegistry()